Name:		hidviz
Version:	0.1.2
Release:	1%{?dist}
Summary:	A tool for in-depth analysis of USB HID devices communication
# licensing information discussed with upstream in person
License:	GPLv3+
Group:		Applications/Engineering
URL:		https://github.com/ondrejbudai/hidviz
Source0:	http://hidviz.org/releases/%{name}-%{version}.tar.gz
Source1:	hidviz.desktop
BuildRequires:	gcc-c++, cmake, qt5-qtbase-devel, protobuf-devel, libusbx-devel
BuildRequires:	git, desktop-file-utils, ImageMagick

%description
Hidviz is a GUI application for in-depth analysis of USB HID class devices.

%prep
%setup -q

# icon not yet available, temporal hack to make one :)
convert hidviz/images/usb.png -resize 128x128 -background transparent \
  -compose copy -gravity center -extent 128x128 hidviz.png

%build
%cmake .
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# icon
install -Dpm 0644 hidviz.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/hidviz.png

# desktop file
mkdir -p  %{buildroot}%{_datadir}/applications
desktop-file-install --add-category="Utility" \
  --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files
# license not yet available
#%license LICENSE
%doc README.md
%dir %{_libdir}/hidviz
%{_bindir}/hidviz
%{_libdir}/hidviz/libhid*.so*
%{_libexecdir}/libhidx_server_daemon
%{_datadir}/icons/hicolor/128x128/apps/hidviz.png
%{_datadir}/applications/hidviz.desktop

%changelog
* Fri May  5 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.2-1
- New version

* Fri May  5 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-1
- New version

* Thu May  4 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1-1
- Initial release
